Workflow Run

The workflow run resource.

Basehttps://rest.carbon.ms/workflowRun
GET/workflowRun

List workflow runs

Retrieve a paginated list of workflow runs. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/workflowRun
curl --request GET \
  --url 'https://rest.carbon.ms/workflowRun?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "workflowId": "xyz789",
    "workflowVersionId": "xyz789",
    "eventId": "xyz789",
    "sourceEventId": "xyz789",
    "ownerId": "xyz789",
    "status": "string"
  }
]
GET/workflowRun

Retrieve a workflow run

Fetch a single workflow run by filtering on `id`.

Query parameters

idstring

Match on the workflow run's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/workflowRun
curl --request GET \
  --url 'https://rest.carbon.ms/workflowRun?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "workflowId": "xyz789",
  "workflowVersionId": "xyz789",
  "eventId": "xyz789",
  "sourceEventId": "xyz789",
  "ownerId": "xyz789",
  "status": "string"
}
POST/workflowRun

Create a workflow run

Create a new workflow run.

Body parameters

workflowIdstringrequired
workflowVersionIdstringrequired
eventIdstringrequired
sourceEventIdstringrequired
triggerTablestring
triggerRecordIdstring
ownerIdstringrequired

References user.id

statusstringrequired
statusReasonstring
isTestbooleanrequired
rootRunIdstring
causedByRunIdstring
depthnumberrequired
patharrayrequired
startedAttimestamp
completedAttimestamp
durationMsnumber
errorstring
compactedAttimestamp
POSThttps://rest.carbon.ms/workflowRun
curl --request POST \
  --url https://rest.carbon.ms/workflowRun \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"workflowId":"xyz789","workflowVersionId":"xyz789","eventId":"xyz789","sourceEventId":"xyz789","ownerId":"xyz789","status":"string","isTest":true,"depth":0,"path":[]}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "workflowId": "xyz789",
  "workflowVersionId": "xyz789",
  "eventId": "xyz789",
  "sourceEventId": "xyz789",
  "ownerId": "xyz789",
  "status": "string"
}
PATCH/workflowRun

Update a workflow run

Update an existing workflow run, matched on `id`.

Body parameters

workflowIdstringrequired
workflowVersionIdstringrequired
eventIdstringrequired
sourceEventIdstringrequired
triggerTablestring
triggerRecordIdstring
ownerIdstringrequired

References user.id

statusstringrequired
statusReasonstring
isTestbooleanrequired
rootRunIdstring
causedByRunIdstring
depthnumberrequired
patharrayrequired
startedAttimestamp
completedAttimestamp
durationMsnumber
errorstring
compactedAttimestamp
PATCHhttps://rest.carbon.ms/workflowRun
curl --request PATCH \
  --url 'https://rest.carbon.ms/workflowRun?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"workflowId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "workflowId": "xyz789",
  "workflowVersionId": "xyz789",
  "eventId": "xyz789",
  "sourceEventId": "xyz789",
  "ownerId": "xyz789",
  "status": "string"
}
DELETE/workflowRun

Delete a workflow run

Delete a workflow run, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the workflow run to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/workflowRun
curl --request DELETE \
  --url 'https://rest.carbon.ms/workflowRun?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content